org.gcube.core.smartgears.monitor

## Class SmartgearsMonitorServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.gcube.core.smartgears.monitor.SmartgearsMonitorServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @WebServlet(urlPatterns="/",
                name="smarartgearsMonitorServlet")
    public class SmartgearsMonitorServlet
    extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SmartgearsMonitorServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmartgearsMonitorServlet

    public SmartgearsMonitorServlet()

### Method Detail

#### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException`